## pylint 1.8.1

=== debian/changelog ===
pylint (1.8.1-1) unstable; urgency=medium

  * New upstream release; Closes: #885965
  * debian/copyright
    - auto-generate updated upstream copyright notices
  * debian/patches/reproducible_build.patch
    - drop, merged upstream
  * debian/rules
    - dont fail if tests fail; Closes: #887818

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jan 2018 17:26:49 -0500

pylint (1.7.4-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #883913

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 09:18:29 -0500

pylint (1.7.4-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release; Closes: #868820, #827139
  * debian/control
    - Update versions of build-depends-indep on astroid.
    - Add pytest and pytest-runner to build-depends-indep.
    - Manually add dependencies missed by dh-python thanks to bug #834133
  * d/rules:
    - Run the tests via pytest not unittest discover (which no longer finds the
    tests), and do not ignore the exit code when doing so.

  [ Sandro Tosi ]
  * debian/control
    - add logilab-common to b-d and deps
    - bump Standards-Version to 4.1.2 (no changes needed)
    - use python3-sphinx to build doc
    - add setuptools to bin pkgs deps
  * debian/copyright
    - update upstream copyright notice
    - update single files specific copyright notices
  * pylint-gui has been removed upstream
  * debian/patches/doc_makefile_python3.patch
    - build doc extensions with python3

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Dec 2017 21:23:07 -0500

=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
Build-Depends-Indep: python-astroid (>= 1.5.1), python3-astroid (>= 1.5.1), python-unittest2, python-six, python3-sphinx, python-isort, python3-isort, python-mccabe, python3-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python3-setuptools, python-pytest-runner, python3-pytest-runner, python-pytest, python3-pytest, python-logilab-common (>= 0.19.0)
Standards-Version: 4.1.2
Homepage: http://www.pylint.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/

Package: pylint
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six, python-isort, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-logilab-common (>= 0.19.0), python-setuptools
Recommends: python-tk
Suggests: pylint-doc, python-mccabe
Description: Python code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint

Package: pylint-doc
Section: doc
Architecture: all
Depends: ${sphinx3:Depends}, ${misc:Depends}
Recommends: python-tk
Description: Python code static checker and UML diagram generator (documentation)
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package contains documentation for pylint.

Package: pylint3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5), python3-isort, python3-logilab-common (>= 0.19.0), python3-setuptools
Recommends: python3-tk
Suggests: pylint-doc, python3-mccabe
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse3: an UML diagram generator
   * symilar3: an independent similarities checker
   * epylint3: Emacs and Flymake compatible Pylint

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -s -v)
PYTHON2 := $(shell pyversions -s)
PYTHON3 := $(shell py3versions -s)
PY2LIB := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
PY3LIB := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")
PY2SCRIPT := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_scripts")
PY3SCRIPT := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_scripts)")

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	set -e; \
	for python in $(PYTHON2) $(PYTHON3) ; do \
		NO_SETUPTOOLS=1 $$python setup.py build ; \
	done
	PATH=$(CURDIR)/$(PY3SCRIPT):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR)/$(PY3LIB)

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-for python in $(PYTHON2) $(PYTHON3) ; do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python setup.py pytest --addopts "-k 'not test_good_comprehension_checks'" ; \
	done
endif


override_dh_auto_install:
	for python in $(PYTHON2); do \
		NO_SETUPTOOLS=1 $$python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint \
			--install-layout=deb; \
	done

	for python in $(PYTHON3); do \
		NO_SETUPTOOLS=1 $$python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint3 \
			--install-layout=deb; \
	done

	rm -rf debian/pylint/usr/lib/python*/*-packages/pylint/test
	rm -rf debian/pylint3/usr/lib/python*/*-packages/pylint/test

	# fixes shebangs
	for exec in pylint symilar epylint pyreverse ; do \
	  if head -1 debian/pylint/usr/bin/$$exec | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
		sed -i "s@^#! */usr/bin/env \+python\$$@#!/usr/bin/python@" debian/pylint/usr/bin/$$exec; \
	  fi ; \
	  chmod a+x debian/pylint/usr/bin/$$exec; \
	done
	for exec in pylint symilar epylint pyreverse ; do \
	  # no need to change shebang in py3k execs, they will be handled by dh_python3 \
	  chmod a+x debian/pylint3/usr/bin/$$exec; \
	  mv debian/pylint3/usr/bin/$$exec debian/pylint3/usr/bin/$${exec}3 ; \
	done

	install -m 644 elisp/pylint.el debian/pylint/usr/share/emacs/site-lisp/pylint/

override_dh_python3:
	dh_python3 -p pylint3 --shebang=/usr/bin/python3

override_dh_installman:
	dh_installman -ppylint  man/*.1
	dh_installman -ppylint3 man/*.1
	for exec in pylint symilar epylint pyreverse ; do \
	  mv debian/pylint3/usr/share/man/man1/$$exec.1 debian/pylint3/usr/share/man/man1/$${exec}3.1 ; \
	done
	rm -rf debian/*/usr/share/man/man1/pylint-gui.1*

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint-doc examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppylint-doc doc/_build/html

## pylint 1.8.3

=== debian/changelog ===
pylint (1.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * New upstream release; #891176
  * debian/source/options
    - ignore missing .eggs folder; patch by Joseph Herlant; Closes: #894224
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - re-enable tests installation, there's no reason not to; Closes: #891146
  * debian/control
    - bump Standards-Version to 4.1.3 (no changes needed)
  * debian/*.postinst
    - do not pre-compile pylint; test directory contains intentionally broken
      files, but py{3,}compile would try to build them anyway, failing to
      install the package; dh_python* doesnt provide a sane way to selectively
      disable only the test dir, so let's skip entirely the pre-build step

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Mar 2018 23:14:47 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
 Build-Depends-Indep: python-astroid (>= 1.5.1), python3-astroid (>= 1.5.1), python-unittest2, python-six, python3-sphinx, python-isort, python3-isort, python-mccabe, python3-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python3-setuptools, python-pytest-runner, python3-pytest-runner, python-pytest, python3-pytest, python-logilab-common (>= 0.19.0)
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://www.pylint.org/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint
 
 Package: pylint
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,6 @@
 			--install-layout=deb; \
 	done
 
-	rm -rf debian/pylint/usr/lib/python*/*-packages/pylint/test
-	rm -rf debian/pylint3/usr/lib/python*/*-packages/pylint/test
-
 	# fixes shebangs
 	for exec in pylint symilar epylint pyreverse ; do \
 	  if head -1 debian/pylint/usr/bin/$$exec | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylint/pylint-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pylint 2.1.1

=== debian/changelog ===
pylint (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root:no.
  * Install the test files again, as they are needed by some packages.
  * Mark pylint-doc as Multi-Arch:foreign (from the m-a hinter).
  * Add some Breaks:  Closes: #909650
    + python3-pylint-django (<< 2.0)
    + python3-pylint-plugin-utils (<< 0.4)
    + python3-pytest-pylint (<< 0.10)
  * Use "byte compile exception patterns" feature to exclude tests from
    byte-compiling, instead of shipping a manual postinst file.
    Thanks to Piotr Ożarowski for proposing this solution!
  * Override some false positive lintian tags due to the tests files.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Sep 2018 15:54:09 +0200

pylint (2.1.1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload.
  * New upstream release.
    - Support Python 3.7 (Closes: #909490, LP: #1785080)
  * debian/patches:
    - Add pytest.ini (missing in the release tarball)
    - Avoid running pip while building documentation
    - Revert HTML documentation theme to 'nature' since the
      'python_docs_theme' is not packaged in Debian yet
  * Switch to debhelper 11
  * Drop python2 package, built from the pylint2 source package
  * Use pybuild instead of distutils
  * Do not install pylint's test suite and pre-compile pylint again
  * Bump Standards-Version to 4.2.1

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 25 Sep 2018 14:30:52 +0200

pylint (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - scan for versions containing only numbers and dots
  * debian/copyright
    - update upstream files copyright notices

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2018 22:07:13 -0400

pylint (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/0002-Make-the-build-reproducible.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #894607
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 20:17:22 -0400

=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all
Build-Depends-Indep: python3-astroid (>= 2.0.0),
                     python3-isort,
                     python3-mccabe,
                     python3-pytest,
                     python3-pytest-runner,
                     python3-setuptools,
                     python3-sphinx
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: http://www.pylint.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint

Package: pylint-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinx3:Depends}
Description: Python code static checker and UML diagram generator (documentation)
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package contains documentation for pylint.

Package: pylint3
Architecture: all
Depends: python3-astroid (>= 2.0.0),
         python3-isort,
         python3-logilab-common (>= 0.19.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-tk
Suggests: pylint-doc, python3-mccabe
Breaks: python3-pylint-django (<< 2.0),
        python3-pylint-plugin-utils (<< 0.4),
        python3-pytest-pylint (<< 0.10)
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse3: an UML diagram generator
   * symilar3: an independent similarities checker
   * epylint3: Emacs and Flymake compatible Pylint

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/pylint/test {build_dir}/pylint/; rm {build_dir}/pylint/test/functional/unused_typing_imports.py {build_dir}/pylint/test/functional/missing_final_newline.py
export PYBUILD_AFTER_TEST=rm -r {build_dir}/pytest.ini {build_dir}/pylint/test {build_dir}/.pytest_cache

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PATH=$(CURDIR):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR)

override_dh_install:
	dh_install
	for exec in pylint symilar epylint pyreverse ; do \
	  mv debian/pylint3/usr/bin/$$exec debian/pylint3/usr/bin/$${exec}3 ; \
	done

override_dh_installman:
	dh_installman -ppylint3 man/*.1
	for exec in pylint symilar epylint pyreverse ; do \
	  mv debian/pylint3/usr/share/man/man1/$$exec.1 debian/pylint3/usr/share/man/man1/$${exec}3.1 ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint-doc examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppylint-doc doc/_build/html

override_dh_missing:
	dh_missing --fail-missing

## pylint 2.2.2

=== debian/changelog ===
pylint (2.2.2-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 17 Oct 2019 16:04:33 +0200

pylint (2.2.2-4) unstable; urgency=medium

  * debian/control
    - dont make pylint conflict with pylint3, until all packages have removed
      their deps to `pylint3`; Closes: #940012

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Sep 2019 22:50:25 -0400

pylint (2.2.2-3) unstable; urgency=medium

  * debian/control
    - add Breaks+Replaces: pylint (<< 2) for -doc; Closes: #938955
  * restore proper installation of pylint.el (lost during the pylint-pylint2 duo
    source existance); Closes: #939524

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Sep 2019 23:40:23 -0400

pylint (2.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * switch back from pylint3 to pylint

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Aug 2019 18:24:34 -0400

pylint (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notices
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * drop doc_makefile_python3.patch, use PYTHON in d/rules
  * debian/patches
    - drop add-pytest.ini.patch, refresh

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Dec 2018 11:14:27 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3-all
+Build-Depends: debhelper-compat (= 11), dh-python, python3-all
 Build-Depends-Indep: python3-astroid (>= 2.0.0),
                      python3-isort,
                      python3-mccabe,
@@ -11,7 +11,7 @@
                      python3-pytest-runner,
                      python3-setuptools,
                      python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://www.pylint.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
@@ -22,6 +22,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinx3:Depends}
+Breaks: pylint (<< 2)
+Replaces: pylint (<< 2)
 Description: Python code static checker and UML diagram generator (documentation)
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code
@@ -38,7 +40,7 @@
  .
  The package contains documentation for pylint.
 
-Package: pylint3
+Package: pylint
 Architecture: all
 Depends: python3-astroid (>= 2.0.0),
          python3-isort,
@@ -51,6 +53,7 @@
 Breaks: python3-pylint-django (<< 2.0),
         python3-pylint-plugin-utils (<< 0.4),
         python3-pytest-pylint (<< 0.10)
+Replaces: pylint3
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,19 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PATH=$(CURDIR):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR)
+	PATH=$(CURDIR):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR) PYTHON=python3
 
-override_dh_install:
-	dh_install
-	for exec in pylint symilar epylint pyreverse ; do \
-	  mv debian/pylint3/usr/bin/$$exec debian/pylint3/usr/bin/$${exec}3 ; \
-	done
+#override_dh_install:
+#	dh_install
+#	for exec in pylint symilar epylint pyreverse ; do \
+#	  mv debian/pylint3/usr/bin/$$exec debian/pylint3/usr/bin/$${exec}3 ; \
+#	done
 
 override_dh_installman:
-	dh_installman -ppylint3 man/*.1
-	for exec in pylint symilar epylint pyreverse ; do \
-	  mv debian/pylint3/usr/share/man/man1/$$exec.1 debian/pylint3/usr/share/man/man1/$${exec}3.1 ; \
-	done
+	dh_installman -ppylint man/*.1
+#	for exec in pylint symilar epylint pyreverse ; do \
+#	  mv debian/pylint3/usr/share/man/man1/$$exec.1 debian/pylint3/usr/share/man/man1/$${exec}3.1 ; \
+#	done
 
 override_dh_installchangelogs:
 	dh_installchangelogs -i ChangeLog

## pylint 2.4.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PIP           = pip
PAPER         =
BUILDDIR      = _build
PYTHON        = /usr/bin/env python
PYTHONPATH    =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest all

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -f reference_guide/features.rst
	-rm -f extensions.rst

html: features.rst extensions.rst
	@echo
	@echo "Install dependencies"
	$(PIP) install python-docs-theme
	@echo "Finished installing dependencies"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pylint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pylint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pylint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pylint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."


extensions.rst: exts/pylint_extensions.py
extensions.rst: ../pylint/utils.py
extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.py')
extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.rst')
	rm -f extensions.rst
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) ./exts/pylint_extensions.py

features.rst: exts/pylint_features.py
features.rst: ../pylint/utils.py
features.rst: $(shell find ../pylint/checkers -type f -regex '.*\.py')
	rm -f features.rst
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) ./exts/pylint_features.py

gen-examples:
	chmod u+w ../examples/pylintrc
	pylint --rcfile=/dev/null --generate-rcfile > ../examples/pylintrc

gen-man:
	chmod u+w ../man/pylint.1
	pylint --rcfile=/dev/null --generate-man > ../man/pylint.1

all: html gen-man gen-examples

=== debian/changelog ===
pylint (2.4.4-2) unstable; urgency=medium

  * debian/control
    - Breaks+Replaces+Provides pylint3; Closes: #940012, #940917

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Dec 2019 15:20:49 -0500

pylint (2.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release; Closes: #944987
  * debian/control
    - add python3-docs-theme to b-d (doc) and bump astroid version
  * debian/copyright
    - update upstream copyright info
    - extend packaging copyright years
  * debian/patches/revert-documentation-theme.patch
    - drop, no longer needed
  * debian/patches/3d8e0b39f2c41e50c664847a3397c60ee883efd4.patch
    - fix documentation build
  * debian/rules
    - simplify how we setup/teardown tests
  * debian/patches/gh_issue_3198.patch
    - skip failing test
  * debian/pylint.lintian-overrides
    - remove overrides, no longer needed

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 12:31:56 -0500

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 11), dh-python, python3-all
-Build-Depends-Indep: python3-astroid (>= 2.0.0),
+Build-Depends-Indep: python3-astroid (>= 2.3.0),
+                     python3-docs-theme,
                      python3-isort,
                      python3-mccabe,
                      python3-pytest,
                      python3-pytest-runner,
                      python3-setuptools,
-                     python3-sphinx
-Standards-Version: 4.4.0
+                     python3-sphinx,
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: http://www.pylint.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
@@ -42,7 +43,7 @@
 
 Package: pylint
 Architecture: all
-Depends: python3-astroid (>= 2.0.0),
+Depends: python3-astroid (>= 2.3.0),
          python3-isort,
          python3-logilab-common (>= 0.19.0),
          python3-setuptools,
@@ -52,8 +53,10 @@
 Suggests: pylint-doc, python3-mccabe
 Breaks: python3-pylint-django (<< 2.0),
         python3-pylint-plugin-utils (<< 0.4),
-        python3-pytest-pylint (<< 0.10)
+        python3-pytest-pylint (<< 0.10),
+	pylint3
 Replaces: pylint3
+Provides: pylint3
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/pylint/test {build_dir}/pylint/; rm {build_dir}/pylint/test/functional/unused_typing_imports.py {build_dir}/pylint/test/functional/missing_final_newline.py
-export PYBUILD_AFTER_TEST=rm -r {build_dir}/pytest.ini {build_dir}/pylint/test {build_dir}/.pytest_cache
+export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
+export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 
 %:
 	dh $@ --buildsystem pybuild --with python3,sphinxdoc

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylint/pylint-([0-9.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pylint 2.5.3

=== debian/changelog ===
pylint (2.5.3-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/3725.patch:
    - cherry-pick and adapt upstream proposed fix for new isort; Closes: #966131

  [ Tristan Seligmann ]
  * Fix substvars.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2020 22:38:19 -0400

pylint (2.5.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - (semi-automatic) update upstream copyright information
  * debian/control
    - bump versioned dep on astroid to >= 2.4.0
    - add new b-d toml
    - add pytest_benchmark to b-d and mark other pytest b-d as nocheck
    - bump compat to 13
  * debian/patches/*
    - refresh, drop patches
  * debian/rules
    - remove spurious artifact called classes.dot

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 02:18:14 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python, python3-all
-Build-Depends-Indep: python3-astroid (>= 2.3.0),
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all,
+Build-Depends-Indep: python3-astroid (>= 2.4.0),
                      python3-docs-theme,
                      python3-isort,
                      python3-mccabe,
-                     python3-pytest,
-                     python3-pytest-runner,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-benchmark <!nocheck>,
+                     python3-pytest-runner <!nocheck>,
                      python3-setuptools,
                      python3-sphinx,
-Standards-Version: 4.4.1
+                     python3-toml,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://www.pylint.org/
+Homepage: https://www.pylint.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint
 
@@ -22,9 +26,11 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${sphinx3:Depends}
-Breaks: pylint (<< 2)
-Replaces: pylint (<< 2)
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Breaks: pylint (<< 2),
+Replaces: pylint (<< 2),
 Description: Python code static checker and UML diagram generator (documentation)
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code
@@ -43,20 +49,21 @@
 
 Package: pylint
 Architecture: all
-Depends: python3-astroid (>= 2.3.0),
+Depends: python3-astroid (>= 2.4.0),
          python3-isort,
          python3-logilab-common (>= 0.19.0),
          python3-setuptools,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: python3-tk
-Suggests: pylint-doc, python3-mccabe
-Breaks: python3-pylint-django (<< 2.0),
+         ${python3:Depends},
+Recommends: python3-tk,
+Suggests: pylint-doc,
+          python3-mccabe,
+Breaks: pylint3,
+        python3-pylint-django (<< 2.0),
         python3-pylint-plugin-utils (<< 0.4),
         python3-pytest-pylint (<< 0.10),
-	pylint3
-Replaces: pylint3
-Provides: pylint3
+Replaces: pylint3,
+Provides: pylint3,
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code

## pylint 2.7.1

=== debian/changelog ===
pylint (2.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: Closes: #973168
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - update upstream copyright notices
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Feb 2021 00:12:21 -0500

pylint (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notices
  * debian/patches/3725.patch
    - drop patch, released upstream
  * debian/control
    - run wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Sep 2020 23:18:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -19,8 +19,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.pylint.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint
+Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
 
 Package: pylint-doc
 Section: doc
@@ -28,7 +28,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-Built-Using: ${sphinxdoc:Built-Using}
+Built-Using: ${sphinxdoc:Built-Using},
 Breaks: pylint (<< 2),
 Replaces: pylint (<< 2),
 Description: Python code static checker and UML diagram generator (documentation)

## pylint 2.7.2

=== doc/requirements.txt ===
python-docs-theme

=== debian/changelog ===
pylint (2.7.2-3) unstable; urgency=medium

  * source only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Jun 2021 21:12:44 -0400

pylint (2.7.2-2) unstable; urgency=medium

  * Team upload
  * debian/control
    - Introduce pylint3 trantional package for smooth upgrade (Closes: #968897)

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jun 2021 23:03:38 +0900

pylint (2.7.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on astroid to >= 2.5.1
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/copyright
    - update upstream copyright notices
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Feb 2021 18:06:57 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-Build-Depends-Indep: python3-astroid (>= 2.4.0),
+Build-Depends-Indep: python3-astroid (>= 2.5.1),
                      python3-docs-theme,
                      python3-isort,
                      python3-mccabe,
@@ -16,7 +16,7 @@
                      python3-setuptools,
                      python3-sphinx,
                      python3-toml,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.pylint.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
@@ -58,7 +58,7 @@
 Recommends: python3-tk,
 Suggests: pylint-doc,
           python3-mccabe,
-Breaks: pylint3,
+Breaks: pylint3 (<< 2.7.2-2),
         python3-pylint-django (<< 2.0),
         python3-pylint-plugin-utils (<< 0.4),
         python3-pytest-pylint (<< 0.10),
@@ -83,3 +83,9 @@
    * pyreverse3: an UML diagram generator
    * symilar3: an independent similarities checker
    * epylint3: Emacs and Flymake compatible Pylint
+
+Package: pylint3
+Architecture: all
+Depends: pylint
+Description: Transitional dummy package
+ This is transitional dummy package for pylint, you can safely remove it.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
+export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot
 
 %:
 	dh $@ --buildsystem pybuild --with python3,sphinxdoc

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylint/pylint-([0-9.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pylint 2.12.2

=== doc/Makefile ===
--- 
+++ 
@@ -140,14 +140,12 @@
 
 
 extensions.rst: exts/pylint_extensions.py
-extensions.rst: ../pylint/utils.py
 extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.py')
 extensions.rst: $(shell find ../pylint/extensions -type f -regex '.*\.rst')
 	rm -f extensions.rst
 	PYTHONPATH=$(PYTHONPATH) $(PYTHON) ./exts/pylint_extensions.py
 
 features.rst: exts/pylint_features.py
-features.rst: ../pylint/utils.py
 features.rst: $(shell find ../pylint/checkers -type f -regex '.*\.py')
 	rm -f features.rst
 	PYTHONPATH=$(PYTHONPATH) $(PYTHON) ./exts/pylint_features.py

=== doc/requirements.txt ===
Sphinx==4.3.1
python-docs-theme==2021.11.1
-e .

=== debian/changelog ===
pylint (2.12.2-1) unstable; urgency=medium

  * New upstream release; Closes: #1001137
  * debian/control
    - bump versioned b-d on astroid to >= 2.9.0
    - add python3-git to b-d, needed by tests
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - update upstream copyright notices
  * debian/patches/gh_issue_3198.patch
    - refresh patch
  * drop transitional package pylint3, no longer needed

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Dec 2021 02:02:10 -0500

pylint (2.11.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright notices
  * debian/control
    - bump versioned b-d on astroid to >= 2.8.0
    - add typing-extensions to b-d, needed to build package
    - merge b-d and b-d-i
    - add platformdirs to b-d, needed to build doc
  * debian/patches/gh_issue_3198.patch
    - refresh patch onto new upstream code
  * debian/rules
    - temporarily exclude some failing tests
    - dont install manpages, they've been removed upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Nov 2021 00:33:18 -0400

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-Build-Depends-Indep: python3-astroid (>= 2.5.1),
-                     python3-docs-theme,
-                     python3-isort,
-                     python3-mccabe,
-                     python3-pytest <!nocheck>,
-                     python3-pytest-benchmark <!nocheck>,
-                     python3-pytest-runner <!nocheck>,
-                     python3-setuptools,
-                     python3-sphinx,
-                     python3-toml,
-Standards-Version: 4.5.1
+               python3-astroid (>= 2.9.0),
+               python3-docs-theme,
+               python3-git <!nodoc>,
+               python3-isort,
+               python3-mccabe,
+               python3-platformdirs <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-pytest-benchmark <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+               python3-setuptools,
+               python3-sphinx,
+               python3-toml,
+               python3-typing-extensions (>= 3.10.0),
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://www.pylint.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
@@ -58,12 +61,9 @@
 Recommends: python3-tk,
 Suggests: pylint-doc,
           python3-mccabe,
-Breaks: pylint3 (<< 2.7.2-2),
-        python3-pylint-django (<< 2.0),
+Breaks: python3-pylint-django (<< 2.0),
         python3-pylint-plugin-utils (<< 0.4),
         python3-pytest-pylint (<< 0.10),
-Replaces: pylint3,
-Provides: pylint3,
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code
@@ -80,12 +80,6 @@
  .
  The package also ships the following additional commands:
  .
-   * pyreverse3: an UML diagram generator
-   * symilar3: an independent similarities checker
-   * epylint3: Emacs and Flymake compatible Pylint
-
-Package: pylint3
-Architecture: all
-Depends: pylint
-Description: Transitional dummy package
- This is transitional dummy package for pylint, you can safely remove it.
+   * pyreverse: an UML diagram generator
+   * symilar: an independent similarities checker
+   * epylint: Emacs and Flymake compatible Pylint

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
# disable until https://github.com/PyCQA/pylint/issues/5246 is fixed
export PYBUILD_TEST_ARGS=-k 'not test_pkginfo and not test_do_not_import_files_from_local_directory and not test_import_plugin_from_local_directory_if_pythonpath_cwd and not test_can_list_directories_without_dunder_init and not test_fail_on_exit_code'
export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PATH=$(CURDIR):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR) PYTHON=python3

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint-doc examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppylint-doc doc/_build/html

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pylint-$1.tar.gz%" \
https://github.com/PyCQA/pylint/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
